com.tibco.bpm.service.connector

## Class EventCollectorQueryService

- java.lang.Object
- - com.tibco.bpm.service.connector.EventCollectorQueryService

- All Implemented Interfaces:
    EventCollectorQueryService

      public class EventCollectorQueryService
      extends java.lang.Object
      implements EventCollectorQueryService

  Provides access to the EventCollectorQueryService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.GenericResult` | `executeGenericQuery(com.tibco.n2.ec.api.base.Query query, com.tibco.n2.ec.api.base.QueryOptions queryOptions)` Execute a specified query in-line without registration.
    `com.tibco.n2.ec.api.base.GenericResult` | `executeRegisteredGenericQuery(com.tibco.n2.ec.api.base.QueryIdentifier id, com.tibco.n2.ec.api.base.QueryOptions queryOptions)` Execute a query which has previously been registered in Event Collector.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAllAttributes()` Deprecated.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAllAttributes(com.tibco.n2.ec.api.base.GetAttributeOptions options)`
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAttributes(long componentId)` Deprecated.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `getAttributes(long componentId, com.tibco.n2.ec.api.base.GetAttributeOptions options)`
    `com.tibco.n2.ec.api.base.Component[]` | `getComponents()` Return the list of components registered in Event Collector.
    `boolean` | `isQueryRegistered(com.tibco.n2.ec.api.base.QueryIdentifier id)` Confirm whether a given query has previously been registered on the system.
    `com.tibco.n2.ec.api.base.QueryInfo` | `lookupQueryByTag(java.lang.String tag)` Obtain the unique identifier for a query specified by it's tag.
    `com.tibco.n2.ec.api.base.QueryIdentifier` | `registerQuery(java.lang.String tag, com.tibco.n2.ec.api.base.Query query)` Register a query with the EC DB.
    `void` | `unRegisterQuery(com.tibco.n2.ec.api.base.QueryIdentifier id)` Unregister a query from EC.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### executeGenericQuery

          public com.tibco.n2.ec.api.base.GenericResult executeGenericQuery(com.tibco.n2.ec.api.base.Query query,
                                                                            com.tibco.n2.ec.api.base.QueryOptions queryOptions)
                                                                     throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                            com.tibco.n2.ec.services.InvalidQueryFault,
                                                                            com.tibco.n2.ec.services.InternalServiceFault,
                                                                            com.tibco.n2.ec.services.QueryExecutionFault,
                                                                            com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Execute a specified query in-line without registration.
      Specified by:
        `executeGenericQuery` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.QueryExecutionFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### executeRegisteredGenericQuery

          public com.tibco.n2.ec.api.base.GenericResult executeRegisteredGenericQuery(com.tibco.n2.ec.api.base.QueryIdentifier id,
                                                                                      com.tibco.n2.ec.api.base.QueryOptions queryOptions)
                                                                               throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                      com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                                                                      com.tibco.n2.ec.services.InternalServiceFault,
                                                                                      com.tibco.n2.ec.services.QueryExecutionFault,
                                                                                      com.tibco.n2.ec.services.QueryNotFoundFault,
                                                                                      com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Execute a query which has previously been registered in Event Collector.
      Specified by:
        `executeRegisteredGenericQuery` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.QueryExecutionFault`
        `com.tibco.n2.ec.services.QueryNotFoundFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### registerQuery

          public com.tibco.n2.ec.api.base.QueryIdentifier registerQuery(java.lang.String tag,
                                                                        com.tibco.n2.ec.api.base.Query query)
                                                                 throws com.tibco.n2.ec.services.DuplicateRegistrationFault,
                                                                        com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                                                        com.tibco.n2.ec.services.InvalidRequestFault,
                                                                        com.tibco.n2.ec.services.InvalidQueryFault,
                                                                        com.tibco.n2.ec.services.InternalServiceFault,
                                                                        com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Register a query with the EC DB.
      Specified by:
        `registerQuery` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.DuplicateRegistrationFault`
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### unRegisterQuery

          public void unRegisterQuery(com.tibco.n2.ec.api.base.QueryIdentifier id)
                               throws com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                      com.tibco.n2.ec.services.InvalidRequestFault,
                                      com.tibco.n2.ec.services.QueryNotFoundFault,
                                      com.tibco.n2.ec.services.InternalServiceFault,
                                      com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Unregister a query from EC.
      Specified by:
        `unRegisterQuery` in interface `EventCollectorQueryService`
      Throws:
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.QueryNotFoundFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### isQueryRegistered

          public boolean isQueryRegistered(com.tibco.n2.ec.api.base.QueryIdentifier id)
                                    throws com.tibco.n2.ec.services.InvalidRequestFault,
                                           com.tibco.n2.ec.services.InvalidQueryIdentifierFault,
                                           com.tibco.n2.ec.services.InternalServiceFault,
                                           com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Confirm whether a given query has previously been registered on the system.
      Specified by:
        `isQueryRegistered` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InvalidQueryIdentifierFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAllAttributes

          public com.tibco.n2.ec.api.base.AttributeDefinition[] getAllAttributes(com.tibco.n2.ec.api.base.GetAttributeOptions options)
                                                                          throws com.tibco.n2.ec.services.InternalServiceFault,
                                                                                 com.tibco.n2.ec.services.SecurityFault

      Specified by:
        `getAllAttributes` in interface `EventCollectorQueryService`
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAttributes

          public com.tibco.n2.ec.api.base.AttributeDefinition[] getAttributes(long componentId,
                                                                              com.tibco.n2.ec.api.base.GetAttributeOptions options)
                                                                       throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                              com.tibco.n2.ec.services.NoSuchComponentFault,
                                                                              com.tibco.n2.ec.services.InternalServiceFault,
                                                                              com.tibco.n2.ec.services.SecurityFault

      Specified by:
        `getAttributes` in interface `EventCollectorQueryService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAllAttributes

          @Deprecated
          public com.tibco.n2.ec.api.base.AttributeDefinition[] getAllAttributes()
                                                                                      throws com.tibco.n2.ec.services.InternalServiceFault,
                                                                                             com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      Description copied from interface: `EventCollectorQueryService`
      This method returns all the attributes registered in the Event Collector Database.
      Specified by:
        `getAllAttributes` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getAttributes

          @Deprecated
          public com.tibco.n2.ec.api.base.AttributeDefinition[] getAttributes(long componentId)
                                                                                   throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                          com.tibco.n2.ec.services.NoSuchComponentFault,
                                                                                          com.tibco.n2.ec.services.InternalServiceFault,
                                                                                          com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      Description copied from interface: `EventCollectorQueryService`
      This method returns all the attributes registered with a specific component in the Event Collector Database
      Specified by:
        `getAttributes` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getComponents

          public com.tibco.n2.ec.api.base.Component[] getComponents()
                                                             throws com.tibco.n2.ec.services.InternalServiceFault,
                                                                    com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Return the list of components registered in Event Collector.
      Specified by:
        `getComponents` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### lookupQueryByTag

          public com.tibco.n2.ec.api.base.QueryInfo lookupQueryByTag(java.lang.String tag)
                                                              throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                     com.tibco.n2.ec.services.QueryNotFoundFault,
                                                                     com.tibco.n2.ec.services.InternalServiceFault,
                                                                     com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorQueryService`
      Obtain the unique identifier for a query specified by it's tag.
      Specified by:
        `lookupQueryByTag` in interface `EventCollectorQueryService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.QueryNotFoundFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.